DIFF(1)

NAMA
diff - bandingkan berkas baris per baris

RINGKASAN
diff [PILIHAN]... BERKAS

DESKRIPSI
Bandingkan FILE baris per baris.

Argumen wajib untuk pilihan panjang adalah wajib untuk pilihan pendek juga.

--normal
    keluarkan diff normal (baku)

-q, --brief
    laporkan hanya ketika berkas berbeda

-s, --report-identical-files
    laporkan ketika dua berkas sama

-c, -C NUM, --context[=NUM]
    keluarkan NUM (baku 3) baris dari konteks yang disalin

-u, -U NUM, --unified[=NUM]
    keluarkan NUM (baku 3) baris dari konteks terpadu

-e, --ed
    output an ed(1) script

-n, --rcs
    keluaran dalam format RCS diff

-y, --side-by-side
    keluaran dalam dua kolom

-W, --width=NUM
    keluarkan paling banyak NUM (baku 130) kolom cetak

--left-column
    hanya tampilkan kolom kiri baris yang sama

--suppress-common-lines
    jangan tampilkan baris yang sama

-p, --show-c-function
    tunjukkan dalam fungsi C mana setiap perubahan

-F, --show-function-line=RE
    tunjukkan baris terkini yang cocok RE

--label LABEL
    pakai LABEL bukan nama berkas dan stempel waktu (dapat diulang)

-t, --expand-tabs
    ekspansi tab ke spasi dalam keluaran

-T, --initial-tab
    buat tab lurus dengan menyisip di depan tab

--tabsize=NUM
    tab stop adalah setiap NUM (baku 8) kolom cetak

--suppress-blank-empty
    cegah spasi atau tab sebelum keluaran baris kosong

-l, --paginate
    berikan keluaran ke pr(1) untuk di-paginate

-r, --recursive
    membandingkan subdirektori secara rekursif

--no-dereference
    jangan ikuti taut simbolik

-N, --new-file
    perlakukan berkas yang tiada sebagai kosong

--unidirectional-new-file
    anggap berkas pertama yang tidak ada sebagai kosong

--ignore-file-name-case
    abaikan besar kecil saat membandingkan nama berkas

--no-ignore-file-name-case
    pertimbangkan besar kecil saat membandingkan nama berkas

-x, --exclude=PAT
    tanpa berkas yang cocok dengan PAT

-X, --exclude-from=BERKAS
    abaikan berkas yang cocok dengan pola dalam BERKAS

-S, --starting-file=BERKAS
    mulai dengan BERKAS ketika membandingkan direktori

--from-file=BERKAS1
    bandingkan BERKAS1 ke semua operand; BERKAS1 dapat berupa direktori

--to-file=BERKAS2
    bandingkan semua operand dengan BERKAS2; BERKAS2 dapat berupa direktori

-i, --ignore-case
    abaikan perbedaan huruf besar kecil dalam isi berkas

-E, --ignore-tab-expansion
    abaikan perubahan akibat ekspansi tab

-Z, --ignore-trailing-space
    abaikan white space di akhir baris

-b, --ignore-space-change
    abaikan perubahan banyaknya white space

-w, --ignore-all-space
    abaikan semua white space

-B, --ignore-blank-lines
    abaikan perubahan baris kosong

-I, --ignore-matching-lines=RE
    abaikan perubahan baris yang cocok dengan RE

-a, --text
    perlakukan semua berkas sebagai teks

--strip-trailing-cr
    hapus carriage return di akhir pada masukan

-D, --ifdef=NAMA
    keluarkan berkas yang tergabung dengan diff '#ifdef NAMA'

--GTYPE-group-format=GFMT
    format grup masukan GTYPE dengan GFMT

--line-format=LFMT
    format semua baris masukan denga LFMT

--LTYPE-line-format=LFMT
    format baris masukan LTYPE dengan LFMT

    Opsi format ini menyediakan kendali halus atas keluaran

    diff, menggeneralisasi -D/--ifdef.

LTYPE adalah 'old', 'new', atau 'unchanged'.
    GTYPE adalah LTYPE atau 'changed'.

    GFMT dapat berisi:

%<  baris dari BERKAS1

%>  baris dari BERKAS2

%=  baris bersama BERKAS1 dan BERKAS2

%[-][WIDTH][.[PREC]]{doxX}LETTER
    printf-style spec untuk LETTER

    LETTERs adalah sebagai berikut untuk grup baru, huruf kecil untuk grup tua:

F   nomor baris pertama

L   nomor baris terakhir

N   jumlah baris = L-F+1

E   F-1

M   L+1

%(A=B?T:E)
    if A equals B then T else E

    LFMT dapat berisi:

%L  isi baris

%l  isi baris, tanpa baris baru

%[-][WIDTH][.[PREC]]{doxX}n
    printf-style spec untuk nomor baris masukan

    GFMT atau LFMT dapat berisikan:

%%  %

%c'C'
    karakter tunggal C

%c'\OOO'
    karakter dengan kode oktal OOO

C   the character C (other characters represent themselves)

-d, --minimal
    usaha keras untuk mencari set perubahan terkecil

--horizon-lines=NUM
    pertahankan NUM baris prefiks dan suffiks umum

--speed-large-files
    asumsikan berkas besar dan banyak perubahan kecil tersebar

--color[=KAPAN]
    warnai keluaran; KAPAN adalah 'never', 'always', atau 'auto'; --color polos berarti --color='auto'

--palette=PALETTE
    warna yang dipakai ketika --color aktif; PALETTE adalah daftar dipisah titik dua dari kapabilitas terminfo

--help
    tampilkan bantuan ini dan keluar

-v, --version
    tulis informasi versi dan keluar

BERKAS adalah 'BERKAS1 BERKAS2' atau 'DIR1 DIR2' atau 'DIR BERKAS' atau 'BERKAS DIR'. Bila --from-file atau --to-file diberikan, tidak ada batasan untuk BERKAS. Jika sebuah BERKAS adalah '-', baca masukan standard. Status keluar adalah 0 jika masukan sama, 1 jika berbeda, 2 jika bermasalah.

PENGARANG
Ditulis oleh Paul Eggert, Mike Haertel, David Hayes, Richard Stallman, dan Len Tower.

MELAPORKAN BUG
Laporkan bugs ke: <bug-diffutils@gnu.org>.
GNU diffutils halaman rumah: <https://www.gnu.org/software/diffutils/>
Bantuan umum menggunakan perangkat lunak GNU: <https://www.gnu.org/gethelp/>

HAK CIPTA
Hak Cipta © 2021 Free Software Foundation, Inc. License GPLv3+: GNU GPL versi 3 atau selanjutnya <https://gnu.org/licenses/gpl.html>.
Ini adalah perangkat lunak bebas: Anda bebas untuk mengubah dan mendistribusikannya. TIDAK ADA JAMINAN, sampai batas yang diperbolehkan oleh hukum.

LIHAT JUGA
wdiff(1), cmp(1), diff3(1), sdiff(1), patch(1)

The full documentation for diff is maintained as a Texinfo manual. If the info and diff programs are properly installed at your site, the command

    info diff

should give you access to the complete manual.

TERJEMAHAN
Terjemahan bahasa Indonesia dari halaman manual ini dibuat oleh

Terjemahan ini adalah Dokumentasi Gratis; baca GNU General Public License Versi 3 (https://www.gnu.org/licenses/gpl-3.0.html) atau yang lebih baru untuk Persyaratan hak cipta. Kami berasumsi TIDAK BERTANGGUNG JAWAB.

Jika Anda menemukan kesalahan dalam terjemahan halaman manual ini, silakan kirim email ke TODO.